# Manifest

interface Manifest

Represents the manifest file of a JAR file.

## Functions

attributes
Link copied to clipboard
abstract fun attributes(attributes: Map<String, out Any>): Manifest
Adds content to the main attributes of the manifest.
abstract fun attributes(attributes: Map<String, out Any>, sectionName: String): Manifest
Adds content to the given section of the manifest.
attributes
Link copied to clipboard
inline fun Manifest.attributes(vararg attributes: Pair<String, Any>): Manifest
inline fun Manifest.attributes(sectionName: String, vararg attributes: Pair<String, Any>): Manifest

Kotlin extension function for org.gradle.api.java.archives.Manifest.attributes.

from
Link copied to clipboard
abstract fun from(mergePath: Array<Any>): Manifest
abstract fun from(mergePath: Any, @DelegatesTo(value = ManifestMergeSpec::class) closure: Closure<out Any>): Manifest
abstract fun from(mergePath: Any, action: Action<ManifestMergeSpec>): Manifest
Specifies other manifests to be merged into this manifest.
getAttributes
Link copied to clipboard
abstract fun getAttributes(): Attributes
Returns the main attributes of the manifest.
getEffectiveManifest
Link copied to clipboard
abstract fun getEffectiveManifest(): Manifest
Returns a new manifest instance where all the attribute values are expanded (e.g.
getSections
Link copied to clipboard
abstract fun getSections(): Map<String, Attributes>
Returns the sections of the manifest (excluding the main section).
writeTo
Link copied to clipboard
abstract fun writeTo(path: Any): Manifest
Writes the manifest into a file.